Gammu(1)

NAME

Gammu - Does some neat things with your cellular phone or modem

SYNTAX

gammu [nothing|text|textall|binary|errors] [options]

DESCRIPTION

This program is a tool for Nokia and other mobile phones.

Parameters, which allow to control debug level:

nothing - no debug level
text - transmission dump in text format
textall - all possible info in text format
errors - errors in text format
binary - transmission dump in binary format

Please put them between Gammu name and "real" OPTIONS.

OPTIONS

--help
    Output help information and exit.

--version
    Output version information and exit.

--identify
    Show the most important phone data.

--monitor
    Get phone status and writes continuously to stdout. Press Ctrl+C to break this state.

--reset SOFT|HARD
    Make phone reset: soft (without asking for PIN) or hard (with PIN).

    Note: some phones will make hard reset even with SOFT option.

--resetphonesettings PHONE|DEV|UIF|ALL|FACTORY
    Reset phone settings. BE CAREFULL !!!!

    PHONE:

    DEV:

    ALL: Clear user settings
    * removes or set logos to default
    * set default phonebook and other menu settings
    * clear T9 words,
    * clear call register info
    * set default profiles settings
    * clear user ringtones

    UIF:
    * changes like after ALL
    * disables netmon and PPS (all "hidden" menus)

    FACTORY:
    * changes like after UIF
    * clear date/time

--presskeysequence mMnNpPuUdD+-123456789*0#gGrRwW
    Press specified key sequence on phone keyboard

    mM - Menu
    nN - Names key
    pP - Power
    uU - Up
    dD - Down
    +- - +-
    gG - Green
    rR - Red
    123456789*0# is numeric keyboard

--getdisplaystatus

--getprofile start [stop]

--setautonetworklogin

--getsecuritystatus
    Show, if phone wait for security code (like PIN, PUK, etc.) or not

--entersecuritycode PIN|PUK|PIN2|PUK2 code
    Allow to enter security code from PC

--listnetworks
    Show names/codes of GSM networks known for Gammu

--getfmstation start [stop]
    Show info about FM stations in phone

--getgprspoint start [stop]

--getfiles file1ID file2ID ...

--getfilesystem [-flatall|-flat]

--deletefiles fileID

--addfolder parentfolderID name

--addfile folderID name [JAR|BMP|PNG|GIF|JPG|MIDI|WBMP]

--nokiaaddfile MMSUnreadInbox|MMSReadInbox|MMSOutbox|MMSDrafts|MMSSent file sender title

--nokiaaddfile Application|Game file
    Example: gammu --nokiaaddfile Application Alien will read Alien.JAD and Alien.JAR and add to Applications

--nokiaaddfile Gallery|Tones file [name]
    Example: gammu --nokiaaddfile Tones file.mid will read file.mid and add to Tones folder

--getdatetime
    Get date and time from phone

--setdatetime
    Set date and time in phone to date and time set in computer. Please note, that this option doesn't show clock on phone screen. It only set date and time.

    TIP: you can make such synchronization each time, when will connect your phone and use Gammu. See gammurc for details.

--getalarm
    Get alarm from phone

--setalarm hour minute

--getmemory DC|MC|RC|ON|VM|SM|ME start [stop]
    Get memory location from phone. Numerate locations from 1.

    DC = Dialled calls
    MC = Missed calls
    RC = Received calls
    ON = Own numbers
    VM = voice mailbox
    SM = SIM phonebook
    ME = phone internal phonebook

--searchmemory text

--listmemorycategory text|number

--senddtmf sequence
    Plays DTMF sequence. In some phones available only during calls

--getspeeddial start [stop]

--getsms folder start [stop]
    Get SMS. Locations are numerated from 1.

    When give folder 0, sms is given from "flat" memory (all sms from all folders have unique numbers). It's sometimes emulated by Gammu. You can use it with all phones.

    When give folder 1, 2, etc. sms are taken from Inbox, Outbox, etc. and each sms has unique number in his folder. Name of folders can depend on your phone (the most often 1="Inbox", 2="Outbox", etc.). This method is not supported by all phones (for example, not supported by Nokia 3310, 5110, 6110). If work with your phone, use --getsmsfolders to get folders list.

--deletesms folder start [stop]
    Delete SMS from phone. See description for --getsms for info about sms folders naming convention. Locations are numerated from 1.

--deleteallsms folder
    Delete all SMS from specified SMS folder.

--getallsms
    Get all SMS from phone. In some phones you will have also SMS templates and info about locations used to save Picture Images. With each sms you will see location. If you want to get such sms from phone alone, use gammu --getsms 0 location

--geteachsms
    Similiary to --getallsms. Difference is, that links all contacenated sms

--getsmsc start [stop]
    Get SMSC settings from SIM card. Numerate locations from 1.

--getsmsfolders
    Get names for SMS folders in phone

--smsd FILES configfile
    SMS Deaemon. See smsdrc config file for more options

--getphoneringtone location [file]

--getringtone location [file]
    Get ringtone from phone in RTTL or BINARY format. Locations are numerated from 1.

--setringtone file [-location location] [-scale] [-name name]
    Set ringtone in phone. When don't give location, it will be written "with preview" (in phones supporting this feature like 61xx or 6210). When use RTTL ringtones, give location and use -scale, there will be written scale info with each note. It will avoid scale problems available during editing ringtone in composer from phone menu (for example, in N33xx).

    TIP: when use ~ char in ringtone name, in some phones (like 33xx) name will blink later in phone menus

--copyringtone source destination [RTTL|BINARY]
    Copy source ringtone to destination.

--playringtone file
    Play aproximation of ringtone over phone buzzer.

--getringtoneslist

--nokiacomposer file
    Show, how to enter RTTL ringtone in composer existing in many Nokia phones (and how should it look like).

--dialvoice number
    Make voice call from SIM card line set in phone.

--answercall
    Answer incoming call.

--cancelcall
    Cancel incoming call

--gettodo start [stop]

--deletetodo start [stop]

--getcalendarnotes
    Get calendar notes from phone. In Nokia 3310 and 3330 they're named "Reminders" and have some limitations (they depends on phone firmware version).

--getcategory TODO|PHONEBOOK start [stop]

--getallcategies TODO|PHONEBOOK

--getwapbookmark start [stop]
    Get WAP bookmark(s) from phone. Locations are numerated from 1.

--deletewapbookmark start [stop]
    Delete WAP bookmark(s) from phone. Locations are numerated from 1.

--getwapsettings start [stop]
    Get WAP settings from phone. Locations are numerated from 1.

--getmmssettings start [stop]

--getbitmap STARTUP [file]
    Get static startup logo from phone. Allow to save it in file.

--getbitmap CALLER location [file]
    Get caller group logo from phone. Locations 1-5.

--getbitmap OPERATOR [file]
    Get operator logo (picture displayed instead of operator name) from phone.

--getbitmap PICTURE location [file]
    Get Picture Image from phone.

--getbitmap TEXT
    Get startup text from phone.

--getbitmap DEALER
    In some models it's possible to save dealer welcome note - text displayed during enabling phone, which can't be edited from phone menu. Here you can get it.

--setbitmap STARTUP file|1|2|3
    Set startup logo in phone. It can be static (then you will have to give file name) or one of predefined animated (only some phones like Nokia 3310 or 3330 supports it)

--setbitmap COLOURSTARTUP [fileID]

--setbitmap WALLPAPER fileID

--setbitmap CALLER location [file]
    Set caller logo.

--setbitmap OPERATOR [file [netcode]]
    Set operator logo in phone. When won't give file and netcode, operator logo will be removed from phone. When will give only filename, operator logo will be displayed for your current GSM operator. When give additionaly network code, it will be displayed for this operator: gammu --setbitmap OPERATOR file "260 02"

--setbitmap COLOUROPERATOR [fileID [netcode]]

--setbitmap PICTURE file location [text]

--setbitmap TEXT text

--setbitmap DEALER text

--copybitmap inputfile [outputfile [OPERATOR | PICTURE | STARTUP | CALLER] ]
    Allow to convert logos files to another. When give ONLY inputfile, output will be written to stdout using ASCII art. When give output file and format, in some file formats (like NLM) will be set indicator informing about logo type to given.

--savefile CALENDAR target.vcs file location

--savefile TODO target.vcs file location

--savefile VCARD10|VCARD21 target.vcf file SM|ME location

--savesms TEXT [-folder number] [-reply] [-sender number] [-flash] [-smscset number] [-smscnumber number] [-len len] [-autolen len] [-enablefax] [-disablefax] [-enablevoice] [-unsent] [-disablevoice] [-enableemail] [-disableemail] [-read] [-voidsms] [-unicode] [-inputunicode] [-unread] [-replacemessages ID] [-replacefile file]
    Take text from stdin and save as text SMS into SIM/phone memory.

    -folder number - save to specified folder. Numerate folders from 1. The most often folder 1 = "Inbox", 2 = "Outbox",etc. Use --getsmsfolders to get folder list.

    -unread - makes message unread. In some phones (like 6210) you won't see unread sms envelope after saving such sms. In some phones with internal SMS memory (like 6210) after using it with folder 1 SIM SMS memory will be used

    -read - makes message read. In some phones with internal SMS memory (like 6210) after using it with folder 1 SIM SMS memory will be used

    -unsent - makes message unsent

    -reply - reply SMSC is set

    -sender number - set sender number (default: "Gammu")

    -flash - Class 0 SMS

    -smscset number - SMSC will be taken from set number. Default set: 1

    -smscnumber number - SMSC number

    -len len - specify, how many chars will be read. When use this option and text will be longer than 1 SMS, will be splitted into more linked SMS

    -autolen len - specify, how many chars will be read. When use this option and text will be longer than 1 SMS, will be splitted into more linked SMS.Coding type (SMS default alphabet/Unicode) is set according to input text

    -enablevoice | -disablevoice | -enablefax | -disablefax | -enableemail | -disableemail - sms will set such indicators. Text will be cut to 1 sms.

    -voidsms - many phones after receiving it won't display anything, only beep, vibrate or turn on light. Text will be cut to 1 sms.

    -unicode - SMS will be saved in Unicode format

    -inputunicode - input text is in Unicode.

    TIP: You can create Unicode file using WordPad in Win32 (during saving select "Unicode Text Document" format). In Unix can use for example YUdit.

    -replacemessages ID - ID can be 1..7. When you will use option and send more single SMS to one recipient with the same ID, each another SMS will replace each previous with the same ID

    -replacefile file - when you want, you can make file in such format: src_unicode_char1,dest_unicode_char1,src_unicode_char2,dest_unicode_char2 (everything in one line). After reading text for SMS from stdin there will be made translation and each src char will be converted to dest char. In docs there is example file (replace.txt), which will change all "a" chars to "1"

    TIP: when use ~ char in sms text and -unicode option (Unicode coding required), text of sms after ~ char will blink in some phones (like N33xx)

    Example: echo some_text | gammu --savesms TEXT

--savesms RINGTONE file [-folder number] [-sender number] [-reply] [-smscset number] [-smscnumber number] [-long] [-unread] [-read] [-unsent] [-scale]
    Read RTTL ringtone from file and save as SMS into SIM/phone memory. Ringtone is saved in Nokia format.

    -folder number - save to specified folder. Numerate forlders from 1. The most often folder 1 = "Inbox", 2 = "Outbox", etc.

    -unread - makes message unread. In some phones (like 6210) you won't see unread sms envelope after saving such sms. In some phones with internal SMS memory (like 6210) after using it with folder 1 SIM SMS memory will be used

    -read - makes message read. In some phones with internal SMS memory (like 6210) after using it with folder 1 SIM SMS memory will be used -unsent - makes message unsent

    -reply - reply SMSC is set

    -sender number - set sender number

    -flash - Class 0 SMS

    -smscset number - SMSC will be taken from set number. Default set: 1

    -smscnumber number - SMSC number

    -long - ringtone is saved using Profile style. It can be longer (and saved in 2 SMS), but decoded only by newer phones (like 33xx)

    -scale - ringtone will have Scale info for each note. It will allow to edit it correctly later in phone composer (for example, in 33xx)

--savesms OPERATOR file [-folder number] [-sender number] [-reply] [-netcode netcode] [-smscset number] [-read] [-smscnumber number] [-unread] [-unsent] [-biglogo]
    Save operator logo as sms (Nokia format - size 72x14 or 78x21 after using -biglogo).

--savesms CALLER file [-folder number] [-sender number] [-unread] [-reply] [-smscset number] [-smscnumber number] [-unsent] [-read]
    Save caller logo as sms (Nokia format - size 72x14).

--savesms PICTURE file [-folder number] [-sender number] [-unicode] [-smscset number] [-smscnumber number] [-read] [-text text] [-reply] [-unread] [-unsent]
    Save Picture Image as sms (Nokia format - size 72x28).

--savesms MMSINDICATOR URL Title Sender [-folder number] [-sender number] [-smscnumber number] [-unread] [-smscset number] [-unsent] [-read] [-unread] [-reply]

--savesms BOOKMARK file location [-folder number] [-reply] [-unsent] [-sender number] [-smscset number] [-smscnumber number] [-unread] [-read]
    Read WAP bookmark from file created by --backup option and saves in Nokia format as SMS

--savesms WAPSETTINGS file location GPRS|DATA [-folder number] [-reply] [-unsent] [-sender number] [-smscset number] [-smscnumber number] [-unread] [-read]
    Read WAP settings from file created by --backup option and saves in Nokia format as SMS

--savesms MMSSETTINGS file location [-folder number] [-reply] [-unsent] [-sender number] [-smscset number] [-smscnumber number] [-unread] [-read]

--savesms CALENDAR file location [-folder number] [-sender number] [-smscset number] [-unsent] [-reply] [-smscnumber number] [-unread] [-read]
    Read calendar note from file created by --backup option and saves in VCALENDAR 1.0 format as SMS

--savesms TODO file location [-folder number] [-sender number] [-smscset number] [-unsent] [-reply] [-smscnumber number] [-unread] [-read]

--savesms VCARD10|VCARD21 file SM|ME location [-folder number] [-smscset number] [-reply] [-unread] [-smscnumber number] [-sender number] [-read] [-unsent]
    Read phonebook entry from file created by --backup option and saves in VCARD 1.0 (only name and default number) or VCARD 2.1 (all entry details with all numbers, text and name) format as SMS

--savesms PROFILE name bitmap ringtone [-folder number] [-reply] [-smscset number] [-unsent] [-smscnumber number] [-read] [-sender number] [-unread]
    Read ringtone (RTTL) format and bitmap (Picture Image size) and name and save as Nokia profile.

--savesms EMS [-folder number] [-reply] [-smscset number] [-unsent] [-smscnumber number] [-read] [-sender number] [-unread]

    [-text "text"] [-defanimation ID] [-defsound ID] [-tone10 file] [-tone12 file] [-animation frames file1 ..] [-variablebitmap file] [-fixedbitmap file] [-unicodefiletext file] [-tone10long file] [-tone12long file] [-toneSElong file] [-toneSE file] [-protected number] [-variablebitmaplong file]

    Saves EMS sequence. All parameters after -unread (like -defsound) can be used few times.

    -text - adds text

    -unicodefiletext - adds text from Unicode file

    -defanimation - adds default animation with ID specified by user.ID for different phones are different.

    -animation - adds "frames" frames read from file1, file2, etc.

    -defsound - adds default sound with ID specified by user. ID for different phones are different.

    -tone10 - adds IMelody version 1.0 read from RTTL or other compatible file

    -tone10long - IMelody version 1.0 saved in one of few SMS with UPI. Phones compatible with UPI (like SonyEricsson phones) will read such ringtone as one

    -tone12 - adds IMelody version 1.2 read from RTTL or other compatible file

    -tone12long - IMelody version 1.0 saved in one of few SMS with UPI. Phones compatible with UPI (like SonyEricsson phones) will read such ringtone as one

    -toneSE - adds IMelody in "short" form supported by SonyEricsson phones

    -tone10long - SonyEricsson IMelody saved in one or few SMS with UPI

    -variablebitmap - bitmap in any size saved in one SMS

    -variablebitmaplong - bitmap with maximal size 96x128 saved in one or few sms

    -fixedbitmap - bitmap 16x16 or 32x32

    -protected - all ringtones and bitmaps after this parameter (excluding default ringtones and logos) will be "protected" (in phones compatible with ODI like SonyEricsson products it won't be possible to forward them from phone menu)

    Example: gammu --savesms EMS -text "Greetings" -defsound 1 -text "from Gammu" -tone10 axelf.txt -animation 2 file1.bmp file2.bmp

    will create EMS sequence with text "Greetings" and default sound 1 and text "from Gammu" and ringtone axelf.txt and 2 frame animation read from (1'st frame) file1.bmp and (2'nd frame) file2.bmp

    Example: gammu --savesms EMS -protected 2 -variablebitmaplong ala.bmp -toneSElong axelf.txt -toneSE ring.txt

    ala.bmp and axelf.txt will be "protected"

--sendsms TEXT destination [-reply] [-flash] [-smscset number] [-smscnumber number] [-len len] [-autolen len] [-enablefax] [-disablefax] [-enablevoice] [-disablevoice] [-enableemail] [-report] [-disableemail] [-voidsms] [-unicode] [-inputunicode] [-replacemessages ID] [-replacefile file] [-validity HOUR|6HOURS|DAY|3DAYS|WEEK|MAX]

--sendsms RINGTONE destination file [-reply] [-smscset number] [-long] [-smscnumber number] [-report] [-scale] [-validity HOUR|6HOURS|DAY|3DAYS|WEEK|MAX]

--sendsms OPERATOR destination file [-reply] [-smscset number] [-netcode netcode] [-report] [-smscnumber number] [-biglogo] [-validity HOUR|6HOURS|DAY|3DAYS|WEEK|MAX]

--sendsms CALLER destination file [-reply] [-smscset number] [-report] [-smscnumber number] [-validity HOUR|6HOURS|DAY|3DAYS|WEEK|MAX]

--sendsms PICTURE destination file [-reply] [-smscset number] [-report] [-smscnumber number] [-unicode] [-text text] [-validity HOUR|6HOURS|DAY|3DAYS|WEEK|MAX]

--sendsms MMSINDICATOR destination URL Title Sender [-reply] [-report] [-smscnumber number] [-validity HOUR|6HOURS|DAY|3DAYS|WEEK|MAX] [-smscset number]

--sendsms BOOKMARK destination file location [-smscset number] [-reply] [-report] [-smscnumber number] [-validity HOUR|6HOURS|DAY|3DAYS|WEEK|MAX]

--sendsms WAPSETTINGS destination file location GPRS|DATA [-smscset number] [-smscnumber number] [-report] [-reply] [-validity HOUR|6HOURS|DAY|3DAYS|WEEK|MAX]

--sendsms MMSSETTINGS destination file location [-smscset number] [-smscnumber number] [-report] [-reply] [-validity HOUR|6HOURS|DAY|3DAYS|WEEK|MAX]

--sendsms CALENDAR destination file location [-smscset number] [-smscnumber number] [-report] [-reply] [-validity HOUR|6HOURS|DAY|3DAYS|WEEK|MAX]

--sendsms TODO destination file location [-smscset number] [-smscnumber number] [-report] [-reply] [-validity HOUR|6HOURS|DAY|3DAYS|WEEK|MAX]

--sendsms VCARD10|VCARD21 destination file SM|ME location [-reply] [-smscset number] [-smscnumber number] [-report] [-validity HOUR|6HOURS|DAY|3DAYS|WEEK|MAX]

--sendsms PROFILE destination name bitmap ringtone [-reply] [-smscset number] [-smscnumber number] [-report] [-validity HOUR|6HOURS|DAY|3DAYS|WEEK|MAX]

--sendsms EMS destination [-text "text"] [-defanimation ID] [-defsound ID] [-tone10 file] [-tone12 file] [-animation frames file1 ..] [-folder number] [-reply] [-smscset number] [-unsent] [-smscnumber number] [-read] [-sender number] [-unread] [-variablebitmap file] [-fixedbitmap file] [-unicodefiletext file] [-toneSElong file] [-tone10long file] [-tone12long file] [-protected number] [-variablebitmaplong file] [-toneSE file]

--nokiagetoperatorname
    6110.c phones have place for name for one GSM network (of course, with flashing it's possible to change all names, but Gammu is not flasher ;-)). You can get this name using this option.

--nokiasetoperatorname networkcode name

--nokiadisplayoutput

--nokiasetvibralevel level
    Set vibra power to "level" (given in percent)

--nokiagetvoicerecord location
    Get voice record from location and save to WAV file. File is coded using GSM 6.10 codec (available for example in win32). Name of file is like name of voice record in phone.

--nokiasecuritycode
    Get/reset to "12345" security code

--nokiatests
    Make tests for Nokia DCT3 phones

    NOTE: EEPROM test can show error, when your phone has EEPROM in flash (like in 82xx/7110/62xx/33xx). The same Clock test will show error when phone doesn't have internal battery for clock (like 3xxx)

--nokiasetphonemenus
    Enable all (?) possible menus for DCT3 Nokia phones:

    1. ALS (Alternative Line Service) option menu
    2. vibra menu for 3210
    3. 3315 features in 3310 5.45 and higher
    4. two additional games (React and Logic) for 3210 5.31 and higher
    5. WellMate menu for 6150
    6. NetMonitor

    and for DCT4:

    1. ALS (Alternative Line Service) option menu
    2. Bluetooth, WAP bookmarks and settings menu, ... (6310i)
    3. GPRS Always Online

--nokianetmonitor test
    Takes output or set netmonitor for Nokia DCT3 phones.

    TIP: For more info about this option, please visit http://www.mwiacek.com and read netmonitor manual.

    TIP: test 243 enables all tests (after using command gammu --nokianetmonitor 243 in some phones like 6210 or 9210 have to reboot them to see netmonitor menu)

--nokianetmonitor36
    Reset counters from netmonitor test 36 in Nokia DCT3 phones.

    TIP: For more info about this option, please visit www.mwiacek.com and read netmonitor manual.

--siemensnetmonitor

--backup file
    Backup your phone to file. It's possible to backup (depends on phone):

    * phonebook from SIM and phone memory
    * calendar notes
    * SMSC settings
    * operator logo
    * startup (static) logo or startup text
    * WAP bookmarks
    * WAP settings
    * caller logos and groups
    * user ringtones

    when use text backup files. List can be extended on request.

    TIP: if you will backup settings to Gammu text file, it will be possible to edit it. It's easy: many things in this file will be written double - once in Unicode, once in ASCII. When you will remove Unicode version Gammu will use ASCII on --restore (and you can easy edit ASCII text) and will convert it according to your OS locale. When will be available Unicode version of text, it will be used instead of ASCII (usefull with Unicode phones - it isn't important, what locale is set in computer and no conversion Unicode -> ASCII and ASCII -> Unicode is done).

    TIP: you can use any editor with regular expressions function to edit backup text file. Example: TextPad 4.2.2 from http://www.textpad.com/ with regular expressions based on POSIX standard P1003.2 is OK for it. Few examples for it:

    * to remove info about voice tags:
    FROM: ^Entry\([0-9][0-9]\)VoiceTag = \(.*\)\n
    TO:

    * to change all numbers starting from +3620, +3630, +3660, +3670 to +3620
    Find: Type = NumberGeneral\nEntry\([0-9][0-9]\)Text = "\+36\(20\|30\|60\|70\)
    Repl: Type = NumberMobile\nEntry\1Text = "\+3620

    * to change phone numbers type to mobile for numbers starting from +3620, +3630,... and removing the corresponding TextUnicode line
    F: Type = NumberGeneral\nEntry\([0-9][0-9]\)Text = "\+36\(20\|30\|60\|70\)\([^\"]*\)"\nEntry\([0-9][0-9]\)TextUnicode = \([^\n]*\)\n
    R: Type = NumberMobilentry1Text = "\+36\2\3"\n

--backupsms file

--restore file
    Restore settings written in file created using --backup option. All things backup'ed by --backup can be restored (when made backup to Gammu text file).

    In some phones restoring calendar notes will not show error, but won't be done, when phone doesn't have set clock inside.

--restoresms file

--addnew file

--clearall

--decodesniff MBUS2|IRDA file [phonemodel]
    Option available only, if Gammu was compiled with debug. Allows to decode sniffs. See /docs/develop/develop.txt for more details.

--decodebinarydump file [phonemodel]
    After using option logfile with name binary (see /readme.txt for info about this method of reporting bugs) created file can be decoded using this option. It's available only, if Gammu was compiled with debug.

FILES

~/.gammurc
/usr/share/doc/gammu/*
/dev/ircomm?
/dev/ttyS?

EXAMPLES

To check it out, edit ~/.gammurc and put there something like

[gammu]
port = /dev/ircomm0
connection = irda

and try gammu --identify

AUTHORS

Marcin Wiacek
<marcin@mwiacek.com>
www.mwiacek.com

Here are some people, who somehow helped in this project. Probably not everyone is mentioned. If you think, you're missed, please let us know:

1.all people developing Gnokii (some ideas are from it) like Pavel Janik, Pawel Kot, Manfred Jonsson, ... (see CREDITS from Gnokii)

2.all people responsible for MyGnokii (Gammu is based on it too) like Gabriele Zappi, Ralf Thelen, .... (see CREDITS from MyGnokii)

3.Marcin Wiacek - author of all this mess ;-)

4.Markus Plail & Tibor Harsszegi - for DCT4 help

5.Frederick Ros - 5210 help

6.Jan Kratochvil - AT commands

7.Walek - fixes, progress in many things

8.Marcel Holtmann - Bluetooth tests

9.Michal Cihar - general discussions and tries into making one big and good GSM manager (many changes and suggestions), Alcatel support

10.Ondrej Rybin & Tomasz Motylewski & Tom Nelson & Multi-COM & GriffinTeam - hardware help

11.Joergen Thomsen - SMS daemon

SEE ALSO

readme.txt

www.mwiacek.com

gnokii(1)

xgnokii(2)

http://www.gnokii.org